Subject: Re: next-20081030: voyager compile busted

From: James Bottomley <[email-masked]>
Date: Thu, 30 Oct 2008 16:47:46 -0500

On Thu, 2008-10-30 at 14:42 -0700, H. Peter Anvin wrote:
> James Bottomley wrote:
> > 
> > Before you advocate this, think what it would entail.  Voyager replaces
> > (and has to replace because its not apic based) the entirety of smp.c
> > and smpboot.c ... they'd all have to be abstracted through function
> > pointers.
> > 
> 
> ... or through patched direct calls, which is of course also a possibility.

Yes ... been having IRC conversations about that.  We'd need to use
runtime patching to fix the performance regressions virtualisation has
been causing us first ... but then we could use it for voyager.

James